Subject: bug#10078: 23.3; Rmail's rmail-mine command (v) does not correctly display raw message when rmail-enable mime is true (default)

From: Glenn Morris <[email-masked]>
Date: Wed, 23 Nov 2011 20:51:02 -0500

Eli Zaretskii wrote:

>>     I can't for the life of me figure out what the hybrid version is
>> useful for.
>
> It is mainly useful for MIME messages with attachments.

I don't get it. In "raw" form, an attachment is hundreds or thousands of
lines of gobbledygook, whereas a mime boundary is a line or so of
somewhat readable text. How is it useful to show the former but hide the
latter? Especially since the various Content-Type headers are shown.

There definitely needs to be _some_ command that completely undoes what
rmail-mime does to a message. Then rmailedit could use it instead of the
hack it uses now (bug#9840). If not rmail-mime, then `rmail-unmime' or
somesuch.